### Method

# Gtk Picture set_isolate_contents

since: 4.22

#### Declaration [src]

    void
    gtk_picture_set_isolate_contents (
      GtkPicture* self,
      gboolean isolate_contents
    )

#### Description [src]

If set to true, then the contents will be rendered individually.

If set to false they will be able to erase or otherwise mix with the background.

GTK supports finer grained isolation, in rare cases where you need this, you can use `gtk_snapshot_push_isolation()` yourself to achieve this.

By default contents are isolated.

Available since: 4.22

Sets property | `Gtk.Picture:isolate-contents`

#### Parameters

`isolate_contents`

  Type: `gboolean`

  If contents are rendered separately.